include "basics/pts.ma".
include "bool.ma".
include "connectives.ma".
include "leibniz.ma".
axiom nat : Type[0].
axiom filter_nat_type : \forall return_ : Type[0] . (nat -> return_) -> nat -> return_.
axiom leb : nat -> nat -> bool.
axiom leb_body : nat -> nat -> bool.
axiom axiom_leb : \forall (n:nat). (equal) (nat -> bool) ((leb)  n) ((filter_nat_type) (nat -> bool) (leb_body)  n).
definition eq_leb : \forall (n:nat). (leibniz) (nat -> bool) ((leb)  n) ((filter_nat_type) (nat -> bool) (leb_body)  n) := \lambda n : nat. ((((equal_leibniz) (nat -> bool)) ((leb)  n)) ((filter_nat_type) (nat -> bool) (leb_body)  n)) ((axiom_leb) (n)).
definition sym_eq_leb : \forall (n:nat). (leibniz) (nat -> bool) ((filter_nat_type) (nat -> bool) (leb_body)  n) ((leb)  n) := \lambda n : nat. ((((sym_leibniz) (nat -> bool)) ((leb)  n)) ((filter_nat_type) (nat -> bool) (leb_body)  n)) ((eq_leb) (n)).
